Bytedance
seedance-2-0
Seedance 2.0 is a multimodal controllable video generation model developed by ByteDance’s Seed Team. Launched in early February 2026, it is now integrated into Doubao, Jimeng AI, and Volcano Engine (Model ID: doubao-seedance-2-0-260128), with an accelerated version—Seedance 2.0 Fast—available for low-latency scenarios.
| Provider | Bytedance |
| Tasks | text-to-video · image-to-video |
| Starting from | 3.87 USD / token · Pricing details |
POST
/
video-generation
seedance-2-0
curl --request POST \
--url https://api.linkmodel.ai/api/v1/video-generation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"duration": 4,
"resolution": "720P",
"first_frame_image": "<string>",
"last_frame_image": "<string>",
"size": "16x9",
"audios": [
"<string>"
],
"model": "seedance-2-0",
"videos": [
"<string>"
]
}
'import requests
url = "https://api.linkmodel.ai/api/v1/video-generation"
payload = {
"prompt": "<string>",
"duration": 4,
"resolution": "720P",
"first_frame_image": "<string>",
"last_frame_image": "<string>",
"size": "16x9",
"audios": ["<string>"],
"model": "seedance-2-0",
"videos": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
duration: 4,
resolution: '720P',
first_frame_image: '<string>',
last_frame_image: '<string>',
size: '16x9',
audios: ['<string>'],
model: 'seedance-2-0',
videos: ['<string>']
})
};
fetch('https://api.linkmodel.ai/api/v1/video-generation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"data": {
"task_id": "cb6111cf-e89f-4978-b8e3-aa59c21cceff",
"order_id": "019da9cf-d1db-78e1-ac23-526774d01193",
"status": "processing",
"price": 0.074
},
"msg": "success",
"request_id": "250b66dd-e1fb-4bb6-b5f6-c668efadc35d"
}{
"code": 400,
"msg": "task_id is required",
"request_id": "96be7a7d-3e81-4916-a6b8-19b32773a693"
}{
"code": 401,
"data": {},
"msg": "invalid api key",
"request_id": "bff4c295-c7da-4507-9708-4627cb6373ba"
}{
"code": 500,
"msg": "create task failed: billing: code=100601: insufficient balance",
"request_id": "3409f6fb-fa9a-4534-b530-195b5f6f4e32"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Length must be between 0 and 5000.
Maximum string length:
5000Must be one of: 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15. Defaults to 4.
Available options:
4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15 Must be one of: 1080P, 480P, 4K, 720P. Defaults to 720P.
Available options:
1080P, 480P, 4K, 720P Must be one of: 16x9, 1x1, 21x9, 3x4, 4x3, 9x16. Defaults to 16x9.
Available options:
16x9, 1x1, 21x9, 3x4, 4x3, 9x16 Maximum 3 items.
Maximum array length:
3Available options:
seedance-2-0 Maximum 3 items.
Maximum array length:
3Was this page helpful?
⌘I
seedance-2-0
